diff -urN a/arch/arm/dts/meson-g12-common-u-boot.dtsi b/arch/arm/dts/meson-g12-common-u-boot.dtsi
--- a/arch/arm/dts/meson-g12-common-u-boot.dtsi	2024-04-02 13:58:58.000000000 +0300
+++ b/arch/arm/dts/meson-g12-common-u-boot.dtsi	2024-05-24 00:14:31.586647868 +0300
@@ -5,13 +5,6 @@
  */
 
 / {
-	/* Keep HW order from U-Boot */
-	aliases {
-		/delete-property/ mmc0;
-		/delete-property/ mmc1;
-		/delete-property/ mmc2;
-	};
-
 	soc {
 		bootph-all;
 	};
diff -urN a/arch/arm/dts/meson-sm1-sei610.dts b/arch/arm/dts/meson-sm1-sei610.dts
--- a/arch/arm/dts/meson-sm1-sei610.dts	2024-04-02 13:58:58.000000000 +0300
+++ b/arch/arm/dts/meson-sm1-sei610.dts	2024-05-24 00:14:31.586647868 +0300
@@ -13,7 +13,7 @@
 
 / {
 	compatible = "seirobotics,sei610", "amlogic,sm1";
-	model = "SEI Robotics SEI610";
+	model = "Armbian aml-s9xx-box u-boot (Ugoos X3)";
 
 	aliases {
 		serial0 = &uart_AO;
diff -urN a/arch/arm/dts/meson-sm1-u-boot.dtsi b/arch/arm/dts/meson-sm1-u-boot.dtsi
--- a/arch/arm/dts/meson-sm1-u-boot.dtsi	2024-04-02 13:58:58.000000000 +0300
+++ b/arch/arm/dts/meson-sm1-u-boot.dtsi	2024-05-24 00:14:31.586647868 +0300
@@ -6,15 +6,3 @@
 
 #include "meson-g12-common-u-boot.dtsi"
 
-&sd_emmc_a {
-	compatible = "amlogic,meson-sm1-mmc";
-};
-
-&sd_emmc_b {
-	compatible = "amlogic,meson-sm1-mmc";
-};
-
-&sd_emmc_c {
-	compatible = "amlogic,meson-sm1-mmc";
-};
-
diff -urN a/configs/sei610_defconfig b/configs/sei610_defconfig
--- a/configs/sei610_defconfig	2024-04-02 13:58:58.000000000 +0300
+++ b/configs/sei610_defconfig	2024-05-24 00:16:30.479991003 +0300
@@ -14,31 +14,23 @@
 CONFIG_OF_LIBFDT_OVERLAY=y
 CONFIG_DM_RESET=y
 CONFIG_MESON_G12A=y
-CONFIG_DEBUG_UART_BASE=0xff803000
-CONFIG_DEBUG_UART_CLOCK=24000000
-CONFIG_IDENT_STRING=" sei610"
+CONFIG_IDENT_STRING=" ugoos-x3"
 # CONFIG_PSCI_RESET is not set
 CONFIG_SYS_LOAD_ADDR=0x1000000
-CONFIG_DEBUG_UART=y
 CONFIG_REMAKE_ELF=y
 CONFIG_FIT=y
 CONFIG_FIT_SIGNATURE=y
 CONFIG_FIT_VERBOSE=y
 CONFIG_LEGACY_IMAGE_FORMAT=y
 CONFIG_OF_BOARD_SETUP=y
-CONFIG_USE_PREBOOT=y
-CONFIG_PREBOOT="run load_logo"
-# CONFIG_CONSOLE_MUX is not set
+CONFIG_DISPLAY_BOARDINFO_LATE=y
+CONFIG_CONSOLE_MUX=y
 # CONFIG_DISPLAY_CPUINFO is not set
 CONFIG_MISC_INIT_R=y
-CONFIG_AVB_VERIFY=y
 CONFIG_SYS_MAXARGS=32
 # CONFIG_CMD_BDI is not set
-CONFIG_CMD_ADTIMG=y
-CONFIG_CMD_ABOOTIMG=y
 # CONFIG_CMD_IMI is not set
 CONFIG_CMD_BCB=y
-CONFIG_CMD_DFU=y
 CONFIG_CMD_GPIO=y
 CONFIG_CMD_GPT=y
 # CONFIG_CMD_LOADS is not set
@@ -48,18 +40,12 @@
 # CONFIG_CMD_SETEXPR is not set
 CONFIG_CMD_BMP=y
 CONFIG_CMD_REGULATOR=y
-CONFIG_CMD_AVB=y
 CONFIG_OF_CONTROL=y
 CONFIG_ENV_IS_IN_MMC=y
 CONFIG_SYS_RELOC_GD_ENV_ADDR=y
 CONFIG_SYS_MMC_ENV_DEV=2
 CONFIG_SYS_MMC_ENV_PART=1
 CONFIG_DFU_RAM=y
-CONFIG_USB_FUNCTION_FASTBOOT=y
-CONFIG_FASTBOOT_BUF_ADDR=0x6000000
-CONFIG_FASTBOOT_FLASH=y
-CONFIG_FASTBOOT_FLASH_MMC_DEV=2
-CONFIG_FASTBOOT_CMD_OEM_FORMAT=y
 # CONFIG_INPUT is not set
 CONFIG_MMC_MESON_GX=y
 CONFIG_DM_MDIO=y
@@ -73,8 +59,6 @@
 CONFIG_MESON_EE_POWER_DOMAIN=y
 CONFIG_DM_REGULATOR=y
 CONFIG_DM_REGULATOR_FIXED=y
-CONFIG_DEBUG_UART_ANNOUNCE=y
-CONFIG_DEBUG_UART_SKIP_INIT=y
 CONFIG_MESON_SERIAL=y
 CONFIG_USB=y
 CONFIG_DM_USB_GADGET=y
@@ -100,4 +84,6 @@
 CONFIG_BMP_16BPP=y
 CONFIG_BMP_24BPP=y
 CONFIG_BMP_32BPP=y
-CONFIG_LIBAVB=y
+CONFIG_CMD_BOOTEFI=y
+CONFIG_EFI_LOADER=y
+CONFIG_USB_KEYBOARD=y
diff -urN a/include/configs/sei610.h b/include/configs/sei610.h
--- a/include/configs/sei610.h	2024-04-02 13:58:58.000000000 +0300
+++ b/include/configs/sei610.h	2024-05-24 00:14:31.586647868 +0300
@@ -9,22 +9,6 @@
 #ifndef __CONFIG_H
 #define __CONFIG_H
 
-#define LOGO_UUID "43a3305d-150f-4cc9-bd3b-38fca8693846;"
-#define ROOT_UUID "ddb8c3f6-d94d-4394-b633-3134139cc2e0;"
-
-#define PARTS_DEFAULT \
-	"uuid_disk=${uuid_gpt_disk};" \
-	"name=logo,start=512K,size=2M,uuid=" LOGO_UUID \
-	"name=misc,size=512K,uuid=${uuid_gpt_misc};" \
-	"name=dtbo,size=8M,uuid=${uuid_gpt_dtbo};" \
-	"name=vbmeta,size=512K,uuid=${uuid_gpt_vbmeta};" \
-	"name=boot,size=32M,bootable,uuid=${uuid_gpt_boot};" \
-	"name=recovery,size=32M,uuid=${uuid_gpt_recovery};" \
-	"name=cache,size=256M,uuid=${uuid_gpt_cache};" \
-	"name=super,size=2304M,uuid=${uuid_gpt_super};" \
-	"name=userdata,size=12274M,uuid=${uuid_gpt_userdata};" \
-	"name=rootfs,size=-,uuid=" ROOT_UUID
-
-#include <configs/meson64_android.h>
+#include <configs/meson64.h>
 
 #endif /* __CONFIG_H */
